function test_fetch_series_by_api_link() % --*-- Unitary tests --*--
df = fetch_series_by_api_link('https://api.db.nomics.world/v22/series/BIS/long_pp?limit=1000&offset=0&q=&observations=1&align_periods=1&dimensions=%7B%7D');
    
idx = find(strcmp('provider_code',df(1,:)));
provider_codes = unique(df(2:end,idx));
assert(length(provider_codes)==1);
assert(strcmp(provider_codes{1},'BIS'));

idx = find(strcmp('dataset_code',df(1,:)));
dataset_codes = unique(df(2:end,idx));
assert(length(dataset_codes) == 1);
assert(strcmp(dataset_codes{1},'long_pp'));

idx = find(strcmp('series_code',df(1,:)));
series_codes = unique(df(2:end,idx));
assert(length(series_codes) > 1);
end

%@test:1
%$ try
%$    test_fetch_series_by_api_link();
%$    t(1) = true;
%$ catch
%$    t(1) = false;
%$ end
%$
%$ T = t(1);
%@eof:1